%define prefix /usr
%define ver 1.4.12
%define astver 1.4.36
%define version %{ver}_%{astver}
%define prename asterisk-addons

Summary:	Addons for Asterisk
Name:		%{prename}
Version:	%{version}
Release:	1.2
License:	GPL
Group:		Utilities/System
URL:		http://www.asterisk.org
Source0:	ftp://ftp.asterisk.org/pub/asterisk/%{prename}-%{ver}.tar.bz2
Patch0:		asterisk-addons-1.4-exit1.patch
BuildRoot:	%{_tmppath}/%{prename}-%{ver}-buildroot
BuildRequires:	asterisk-devel >= %{astver}, mysql-devel, zlib-devel libspandsp1 spandsp-devel curl
Requires:	asterisk >= %{astver}

%description
Asterisk is a complete PBX in software. It runs on Linux and provides
all of the features you would expect from a PBX and more. Asterisk
does voice over IP in three protocols, and can interoperate with
almost all standards-based telephony equipment using relatively
inexpensive hardware.
This package contains additional addons for asterisk.


%prep
%setup -q -n %{prename}-%{ver}

# add the spool patch so asterisk won't loose cdr's when mysql dies....
%patch0 -p1

mv README asterisk-addons-README.txt

# use RPM_OPT_FLAGS and add -DAST_JB from the jitterbuffer patch
perl -pi -e's,^CFLAGS\+\=\-fPIC,CFLAGS\+\=\-fPIC \$\(RPM_OPT_FLAGS\) \-DAST\_JB,g' Makefile
perl -pi -e's,^OPTIMIZE\+\=\-O6,OPTIMIZE\+\=\$\(RPM_OPT_FLAGS\) \-DAST\_JB,g' format_mp3/Makefile

# set ASTLIBDIR & format_mp3's INSTALLTO to lib64 on 64bit arches
%ifarch x86_64 ppc64
echo "Setting ASTLIBDIR to $(INSTALL_PREFIX)/usr/lib64/asterisk"
perl -pi -e's,/usr/lib/asterisk,/usr/lib64/asterisk,g' Makefile
perl -pi -e's,INSTALLTO\=/usr/lib/,INSTALLTO=/usr/lib64/,g' format_mp3/Makefile
%endif

%build
[ "%{buildroot}" != '/' ] && rm -rf %{buildroot}
%configure
make clean
make


%install
mkdir -p %{buildroot}/%{_libdir}/asterisk/modules/
make install DESTDIR=%{buildroot} libdir=%{_libdir}
make samples DESTDIR=%{buildroot} libdir=%{_libdir}

# build ooh323c
#cd asterisk-ooh323c

#%ifarch %{ix86}
#%configure --prefix=/usr --libdir=/usr/lib
#%endif
#
#%ifarch x86_64 ppc64
#%configure --prefix=/usr --libdir=/usr/lib64
#%endif

# add -DAST_JB to the 00h323 Makefile so it picks up the ast_frame and
# ast_channel changes from the JB patch
#perl -pi -e's,^OOH323CFLAGS \= \-DGNU \-D\_GNU\_SOURCE \-D\_REENTRANT \-D\_COMPACT,OOH323CFLAGS \= \-DGNU \-D\_GNU\_SOURCE \-D\_REENTRANT \-D\_COMPACT \-DAST\_JB,g' Makefile
#perl -pi -e's,^CFLAGS \= \-DGNU \-D\_GNU\_SOURCE \-D\_REENTRANT \-D\_COMPACT,CFLAGS \= \-DGNU \-D\_GNU\_SOURCE \-D\_REENTRANT \-D\_COMPACT \-DAST\_JB,g' Makefile
#
#make

# manually install the ooh323c files
#mkdir -p %{buildroot}/%{_libdir}/asterisk/modules/
#mkdir -p %{buildroot}/etc/asterisk-%{astver}_samples
#cp .libs/libchan_h323.so.1.0.1 %{buildroot}/%{_libdir}/asterisk/modules/chan_h323.so
#cp h323.conf.sample %{buildroot}/etc/asterisk-%{astver}_samples/ooh323.conf
#mv h323.conf.sample ooh323.conf.sample
#mv README ooh323c-README.txt
#cd ..
#
## make sure cdr_mysql.conf is available too
#cp configs/cdr_mysql.conf.sample %{buildroot}/etc/asterisk-%{astver}_samples/cdr_mysql.conf
#cp configs/res_mysql.conf.sample %{buildroot}/etc/asterisk-%{astver}_samples/res_mysql.conf


%clean
[ "%{buildroot}" != '/' ] && rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc asterisk-addons-README.txt doc/cdr_mysql.txt configs/*.sample formats/mp3/README
%doc doc/ChangeLog.chan_ooh323 doc/chan_ooh323.txt
%attr(0640,root,asterisk)	%{_libdir}/asterisk/modules/*.so
%attr(0640,root,asterisk)	%config(noreplace) %{_sysconfdir}/asterisk/ooh323.conf
%attr(0640,root,asterisk)	%config(noreplace) %{_sysconfdir}/asterisk/cdr_mysql.conf
%attr(0640,root,asterisk)	%config(noreplace) %{_sysconfdir}/asterisk/res_mysql.conf
%attr(0640,root,asterisk)       %config(noreplace) %{_sysconfdir}/asterisk/mysql.conf

%changelog
* Wed Jan 12 2011 Carsten Schoene <cs@linux-administrator.com> - 1.4.12-1
- update to release 1.4.12 and requries asterisk 1.4.36

* Wed Jun 02 2010 Carsten Schoene <cs@linux-administrator.com> - 1.4.11-1
- update to release 1.4.11 and requires asterisk 1.4.32

* Wed Dec 16 2009 Carsten Schoene <cs@linux-administrator.com> - 1.4.10-1
- update to release 1.4.10 and requires asterisk 1.4.27.1

* Fri Jul 24 2009 Carsten Schoene <cs@linux-administrator.com> - 1.4.9-1
- update to release 1.4.9 and requires asterisk 1.4.26

* Wed Apr 29 2009 Carsten Schoene <cs@linux-administrator.com>
- Update to 1.4.8 and require asterisk 1.4.24.1 as minimum

* Thu Jun 12 2008 Carsten Schoene <cs@linux-administrator.com>
- Update to 1.4.7 asterisk 1.4.21

* Mon Dec 03 2007 <vittorio@vitsoft.bz>
- Updated to 1.4.5 asterisk 1.4
* Wed Oct 17 2007  <vittorio@vitsoft.bz>
- Updated to 1.4.4 asterisk 1.4
* Sun Jun 24 2007  dpedley Trixbox <admin@trixbox.org>
- Moved to 1.4.2-1.4.5

* Mon May 14 2007  dpedley Trixbox <admin@trixbox.org>
- Moved to 1.4.1-1.4.4

* Fri Mar 23 2007  dpedley Trixbox <admin@trixbox.org>
- Moved to 1.4.2

* Wed Aug 23 2006  Laimbock Consulting <asterisk@laimbock.com> - 1.2.4-1.282
- based on 1.2.4

* Mon Aug 21 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.3-1.279
- based on 1.2.3
- patch0 to update 1.2.3 to svn revision 279

* Tue Aug 15 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.3-1.278
- based on 1.2.3
- patch0 to update 1.2.3 to svn revision 278

* Mon Jun 19 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.3-3.219
- based on 1.2.3
- patch0 to update 1.2.3 to svn revision 219
- add -DAST_JB to the ooh323 Makefile to the JB changes to ast_frame and
-  ast_channel get picked up too

* Fri Jun 16 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.3-2.219
- based on 1.2.3
- patch0 to update 1.2.3 to svn revision 219
- add the cdr_mysql_addon.patch which makes asterisk spool cdr's when mysql
- dies and so no longer looses them.... (#7274)

* Fri Jun 2 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.3-1.219
- based on 1.2.3
- patch0 to update 1.2.3 to svn revision 219
- name of the h323 lib changed again...

* Thu Apr 13 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.2-1.208
- build against asterisk 1.2.7.1
- use $(RPM_OPT_FLAGS) everywhere

* Wed Apr 12 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.2-4.204
- build against asterisk 1.2.6
- use RPM_OPT_FLAGS
- set format_mp3 to use -O2 instead of -O6

* Thu Mar 16 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.2-3.204
- h323.conf file is now called ooh323.conf
- add cdr_mysql.conf and res_mysql.conf too

* Wed Mar 8 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.2-2.204
- add %astver to fix the location of the h323 sample
- change perms on h323.conf from 750 to 640
- change perms on modules from 750 to 640

* Tue Mar 7 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.2-1.204
- based on 1.2.2
- disable patch0 to update 1.2.2 to svn revision 204 since they are the same

* Sun Mar 5 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.1-1.204
- based on 1.2.1
- patch0 to update 1.2.1 to svn revision 204
- contains several h323 deadlock fixes
- name of the h323 lib changed again...

* Thu Feb 9 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.1-1.196
- based on the 1.2.1 release
- patch0 to update 1.2.1 to svn revision 196 (empty)

* Thu Jan 5 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.1-1.187
- based on the 1.2.1 release
- patch0 to update 1.2.1 to svn revision 187

* Thu Nov 17 2005 Laimbock Consulting <asterisk@laimbock.com> - 1.2.0-2
- 1.2.0 release
- add multi-arch build stuff

* Thu Nov 17 2005 Patrick <asterisk@laimbock.com> - 1.2.0-1
- 1.2.0 release

* Sat Nov 12 2005 Patrick <asterisk@laimbock.com> - 1.2.0-rc2-1
- 1.2.0-rc2 release

* Mon Oct 17 2005 Patrick <asterisk@laimbock.com> - cvs 20051017-1
- cvs HEAD from Oct 17 2005

* Fri Sep 02 2005 Patrick <asterisk@laimbock.com> - cvs20050902-1
- cvs HEAD from Sep 02 2005

* Thu Sep 01 2005 Patrick <asterisk@laimbock.com> - cvs20050901-1
- cvs HEAD from Sep 01 2005

* Wed Aug 31 2005 Patrick <asterisk@laimbock.com> - cvs20050831-1
- cvs HEAD from Aug 31 2005

* Tue Aug 30 2005 Patrick <asterisk@laimbock.com> - cvs20050830-1
- cvs HEAD from Aug 29 2005
- h323peer is no longer part of the source so remove it
- change location of libchan_h323.1.0.1 again
- make the permissions work if asterisk runs as asterisk/asterisk
- CVS COMMITS:
- Makefile.am Makefile.in h323peer.c Updated build procedure
- Makefile.am Makefile.in Build scripts updated
- ooh323.c updated
- res_config_mysql.c make driver pay attention to database name in extconfig.conf (issue #4973)
- ootrace.c add missing include (issue #5044)

* Sun Aug 14 2005 Patrick <asterisk@laimbock.com> - cvs20050814-1
- cvs HEAD from Aug 14 2005
- appareantly libchan_h323.so is now called libchan_h323.1.0.1
- CVS COMMITS:
- h323.conf.sample Updated
- han_h323.c ooh323cDriver.c Fixed mediaip bug
- README Updated
- ooGkClient.c Updated
- ooGkClient.c Updated
- configure configure.in Updated

* Mon Aug 08 2005 Patrick <asterisk@laimbock.com> - cvs20050808-1
- cvs HEAD from Aug 08 2005

* Wed Aug 03 2005 Patrick <asterisk@laimbock.com> - cvs20050803-1
- cvs HEAD from Aug 03 2005

* Mon Aug 01 2005 Patrick <asterisk@laimbock.com> - cvs20050801-1
- cvs HEAD from Aug 01 2005
- put h323.conf in /etc/asterisk-%{version}_samples

* Mon Jul 25 2005 Patrick <asterisk@laimbock.com> - cvs20050725-1
- cvs from July 25 2005


